Authenticatie problemen Gigaset S450

  • 2 February 2023
  • 66 reacties
  • 2753 Bekeken

Reputatie 3

Hoi,

Ik heb de Gigaset S450 via SIP aangesloten op de T-mobile verbinding. Deze zit via een (Cisco) router aan de glasvezel, dus geen Zyxel router van T-mobile.

Probleem wat ik ervaar is dat ik een “Registration failed” error krijg op de Gigaset (niet heel veelzeggend).

Even kijkend naar het verkeer op de firewall zie ik:

SIP/2.0 401 Unauthorized

Dat zegt mij dat de SIP proxy/registrar en de Gigaset in weze wel babbelen, alleen het nog niet eens zijn over welke klant contact wil leggen.

Username heb ik uit de My T-mobile instellingen gehaald, en het wachtwoord is gewijzigd en correct ingetypt.

Ik vermoed dat ik een cruciaal detail uit de draadjes op het forum gemist heb, kan iemand mij hier op wijzen?

 

Groet,

Michel

 

Inloggegevens
Codecs
DTMF instellingen

 

 

TMTV 1 jaar geleden

Hi all!

De oplossing voor de problemen met het VOIP-wachtwoord laat nog even op zich wachten, maar een vraag in mijn oude topic bracht me op een idee voor een tijdelijke workaround. Ik heb mijn oude VOIP-script afgestoft en weer online gezet. Zo kun je in afwachting van een permanente oplossing toch vooruit met je eigen apparatuur. Het script werkt zowel voor mensen die hun VOIP-wachtwoord niet hebben gewijzigd (dus het standaardwachtwoord van T-Mobile hebben), als voor mensen die een eigen wachtwoord hebben ingesteld, al dan niet sinds de problemen zijn ontstaan. Voor die laatste groep geldt dat het wachtwoord dat het script laat zien dus compleet anders is dan wat je hebt ingesteld, maar dit is wel het daadwerkelijke wachtwoord dat bij de server bekend is. Het lijkt alsof het Base64-gecodeerd is, maar dit is het letterlijke wachtwoord waarmee je je kunt registreren. (Decoderen levert overigens niets bruikbaars op, zeker niet het wachtwoord dat je zelf hebt ingesteld.) Met dit script kun je je VOIP-wachtwoord alleen zien, niet aanpassen.

Het script dat in de post hierboven gelinkt wordt, heb ik oorspronkelijk gemaakt om te gebruiken in combinatie met de Zyxel T50, maar werkt ook met de T54, de Draytek 2132FVn en een eigen router. Het is al een tijdje geleden, maar bij mij doet ‘ie het met de Python-versie van dat moment nog steeds. Verder heb ik het niet getest, dus als het werkt (of niet), laat het hier even weten.

Succes!

TMTV

Bekijk origineel

66 reacties

Vandaag ben ik ook even wezen stoeien met de VOIP settings ter test.

Ook ik zou graag een update willen als er meer bekend is, ook bij mij werkt het opgevraagde account en wachtwoord niet middels de website.

Aangezien ik een router update wil uitvoeren, ben ik direct ook aan het kijken om de algehele opzet wat aan te pakken. Dus de Zyxel ertussenuit halen.

Vandaag ben ik ook even wezen stoeien met de VOIP settings ter test.

Ook ik zou graag een update willen als er meer bekend is, ook bij mij werkt het opgevraagde account en wachtwoord niet middels de website.

Aangezien ik een router update wil uitvoeren, ben ik direct ook aan het kijken om de algehele opzet wat aan te pakken. Dus de Zyxel ertussenuit halen.

Inmiddels het script geprobeerd en dat werkt inderdaad zonder problemen. Wel zie ik een patroon in het wachtwoord wat ik vanuit het script terug krijg en wat ik normaal verwacht. Ik wil niet te veel details geven op een publiek forum, maar achter de schermen gaat inderdaad iets verkeerd.

Reputatie 7
Badge +9

@The Wrecker op dit moment zijn we nog druk bezig met het onderzoeken hiervan. Zodra er een update is, laat ik dat hier weten!

ik heb hier hetzelfde probleem. De foutmelding in mijn fritzbox is inderdaad 401, dus username password niet correct. Hoe kan ik T mobile bewegen om te zorgen dat hun eigen server geupdate wordt, als ik via hun(!) website mijn password aanpas?

Ik heb geen zin om weer die Zyxel uit de kast te halen en dan een of ander vaag script te gaan draaien om het echte password te achterhalen. 

Dus vriendelijk verzoek aan T Mobile: los dit eens fatsoenlijk op...

Reputatie 7
Badge +9

Hi @vbeverloo, zoals je hebt kunnen teruglezen zijn we hier druk mee bezig! Heb je de work-around van @TMTV al geprobeerd?

Op dit moment zijn we nog druk bezig met het onderzoeken hiervan. Zodra er een update is, laat ik dat hier weten!

 

 

Hi. Waar het script zou staan hierboven staat nu: Media is niet beschikbaar

 

Heeft iemand het script nog ergens?

@TMTV 

Kun je de link weer beschikbaar maken.?

Nu staat er “Media is niet beschikbaar”.

 

Reputatie 7
Badge +6

Jazeker, hier is de juiste link:

‘Media is niet beschikbaar’ is een gevolg van de migratie naar Odido.

Hopelijk lukt het met het script om het wachtwoord te achterhalen. Zo niet, laat het gerust weten!

@TMTV 

Bedankt.

Het gaat niet om mij.

Iemand op Tweakers kon het niet voor elkaar krijgen.

Inmiddels ook jou link daar door gegeven.

 

Hi, dank voor het script. Nu moet ik waarschijnlijk een voip VLAN enablen op mijn router, en ik probeer 35, maar daarop krijg ik geen DHCP adres? Is dat het juiste VLAN?

 

 

Reputatie 7
Badge +6

@martijnDutch Heb je het wachtwoord al te pakken met behulp van het script? Zo niet, dan zou ik dat eerst doen. Daar heb je namelijk de Zyxel-router van Odido voor nodig. Als je daarna je eigen router aansluit, heb je alleen VLAN 300 nodig voor internet. VOIP gaat daar ook overheen. Die 35 is slechts een ‘placeholder’ voor sommige routers waarbij je verplicht een VOIP-VLAN moet invullen, ook al voegt dat niets toe.

Waarom wilt het bij mij niet lukken om  het wacht woord en account op te vragen.

ik gebruikt modem alleen voor de telefoon .

ik maak een wifi verbinding 10.0.0.1 en draai het script maar krijg een error?

Reputatie 7
Badge +6

@Oscar1966 Waar loop je precies vast? Kun je een screenshot plaatsen van de error? Dat helpt bij het zoeken naar de oplossing.

@Oscar1966 Waar loop je precies vast? Kun je een screenshot plaatsen van de error? Dat helpt bij het zoeken naar de oplossing.

C:\Users\odeby\Downloads>pip install requests
Collecting requests
  Downloading requests-2.31.0-py3-none-any.whl.metadata (4.6 kB)
Collecting charset-normalizer<4,>=2 (from requests)
  Downloading charset_normalizer-3.3.2-cp312-cp312-win_amd64.whl.metadata (34 kB)
Collecting idna<4,>=2.5 (from requests)
  Downloading idna-3.6-py3-none-any.whl.metadata (9.9 kB)
Collecting urllib3<3,>=1.21.1 (from requests)
  Downloading urllib3-2.2.0-py3-none-any.whl.metadata (6.4 kB)
Collecting certifi>=2017.4.17 (from requests)
  Downloading certifi-2024.2.2-py3-none-any.whl.metadata (2.2 kB)
Downloading requests-2.31.0-py3-none-any.whl (62 kB)
   ---------------------------------------- 62.6/62.6 kB 1.7 MB/s eta 0:00:00
Downloading certifi-2024.2.2-py3-none-any.whl (163 kB)
   ---------------------------------------- 163.8/163.8 kB 5.0 MB/s eta 0:00:00
Downloading charset_normalizer-3.3.2-cp312-cp312-win_amd64.whl (100 kB)
   ---------------------------------------- 100.4/100.4 kB 1.9 MB/s eta 0:00:00
Downloading idna-3.6-py3-none-any.whl (61 kB)
   ---------------------------------------- 61.6/61.6 kB 1.1 MB/s eta 0:00:00
Downloading urllib3-2.2.0-py3-none-any.whl (120 kB)
   ---------------------------------------- 120.9/120.9 kB 3.5 MB/s eta 0:00:00
Installing collected packages: urllib3, idna, charset-normalizer, certifi, requests
Successfully installed certifi-2024.2.2 charset-normalizer-3.3.2 idna-3.6 requests-2.31.0 urllib3-2.2.0

C:\Users\odeby\Downloads>python voip.py
Traceback (most recent call last):
  File "C:\Users\odeby\AppData\Local\Programs\Python\Python312\Lib\site-packages\urllib3\connection.py", line 198, in _new_conn
    sock = connection.create_connection(
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "C:\Users\odeby\AppData\Local\Programs\Python\Python312\Lib\site-packages\urllib3\util\connection.py", line 85, in create_connection
    raise err
  File "C:\Users\odeby\AppData\Local\Programs\Python\Python312\Lib\site-packages\urllib3\util\connection.py", line 73, in create_connection
    sock.connect(sa)
ConnectionRefusedError: [WinError 10061] Kan geen verbinding maken omdat de doelcomputer de verbinding actief heeft geweigerd

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "C:\Users\odeby\AppData\Local\Programs\Python\Python312\Lib\site-packages\urllib3\connectionpool.py", line 793, in urlopen
    response = self._make_request(
               ^^^^^^^^^^^^^^^^^^^
  File "C:\Users\odeby\AppData\Local\Programs\Python\Python312\Lib\site-packages\urllib3\connectionpool.py", line 491, in _make_request
    raise new_e
  File "C:\Users\odeby\AppData\Local\Programs\Python\Python312\Lib\site-packages\urllib3\connectionpool.py", line 467, in _make_request
    self._validate_conn(conn)
  File "C:\Users\odeby\AppData\Local\Programs\Python\Python312\Lib\site-packages\urllib3\connectionpool.py", line 1099, in _validate_conn
    conn.connect()
  File "C:\Users\odeby\AppData\Local\Programs\Python\Python312\Lib\site-packages\urllib3\connection.py", line 616, in connect
    self.sock = sock = self._new_conn()
                       ^^^^^^^^^^^^^^^^
  File "C:\Users\odeby\AppData\Local\Programs\Python\Python312\Lib\site-packages\urllib3\connection.py", line 213, in _new_conn
    raise NewConnectionError(
urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPSConnection object at 0x000001FB1F584E90>: Failed to establish a new connection: [WinError 10061] Kan geen verbinding maken omdat de doelcomputer de verbinding actief heeft geweigerd

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "C:\Users\odeby\AppData\Local\Programs\Python\Python312\Lib\site-packages\requests\adapters.py", line 486, in send
    resp = conn.urlopen(
           ^^^^^^^^^^^^^
  File "C:\Users\odeby\AppData\Local\Programs\Python\Python312\Lib\site-packages\urllib3\connectionpool.py", line 847, in urlopen
    retries = retries.increment(
              ^^^^^^^^^^^^^^^^^^
  File "C:\Users\odeby\AppData\Local\Programs\Python\Python312\Lib\site-packages\urllib3\util\retry.py", line 515, in increment
    raise MaxRetryError(_pool, url, reason) from reason  # type: ignore[arg-type]
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='10.0.0.1', port=7547): Max retries exceeded with url: / (Caused by NewConnectionError('<urllib3.connection.HTTPSConnection object at 0x000001FB1F584E90>: Failed to establish a new connection: [WinError 10061] Kan geen verbinding maken omdat de doelcomputer de verbinding actief heeft geweigerd'))

Reputatie 7
Badge +6

Heb je het script aangepast? Dat is niet nodig. Het IP-adres moet op 10.12.0.10 blijven staan, want dat is de server waar de gegevens vandaan komen. Voer je het script uit terwijl je met de Odido-router verbonden bent of je eigen router? In het laatste geval moet je VLAN 300 tijdelijk aanpassen naar VLAN 100, anders is de server niet bereikbaar. Lukt het zo?

Heb je het script aangepast? Dat is niet nodig. Het IP-adres moet op 10.12.0.10 blijven staan, want dat is de server waar de gegevens vandaan komen. Voer je het script uit terwijl je met de Odido-router verbonden bent of je eigen router? In het laatste geval moet je VLAN 300 tijdelijk aanpassen naar VLAN 100, anders is de server niet bereikbaar. Lukt het zo?

Top het werkt

Oude zyxel 🙄modem even aangesloten op het internet.

En script gedraaid 👍

Reageer